# -*- coding: utf-8 -*-
import os

from dspawpy.io.read import get_phonon_dos_data
from pymatgen.phonon.plotter import PhononDosPlotter

dos = get_phonon_dos_data("dspawpy_proj/dspawpy_tests/inputs/2.16.1/phonon.h5")
dp = PhononDosPlotter(
    stack=False,  # True表示绘制面积图
    sigma=None,  # 高斯模糊参数
)
dp.add_dos(label="Phonon", dos=dos)  # 图例  # 要绘制的声子态密度
axes_or_plt = dp.get_plot(
    xlim=[0, 20],  # x轴范围
    ylim=None,  # y轴范围
    units="thz",  # 单位
)
import matplotlib.pyplot as plt  # noqa: E402

if isinstance(axes_or_plt, plt.Axes):
    fig = axes_or_plt.get_figure()  # version newer than v2023.8.10
elif isinstance(axes_or_plt, tuple):
    fig = axes_or_plt[0].get_figure()
else:
    fig = axes_or_plt.gcf()  # older version pymatgen

filename = (
    "dspawpy_proj/dspawpy_tests/outputs/us/9phonon_dosplot.png"  # 输出的能垒图文件名
)
os.makedirs(os.path.dirname(os.path.abspath(filename)), exist_ok=True)
fig.savefig(filename, dpi=300)
